Subject: Re: bug#24545: emacs suddenly dying

From: Noam Postavsky <[email-masked]>
Date: Wed, 7 Dec 2016 15:42:50 -0500

On Sun, Sep 25, 2016 at 4:52 PM, Vitomir Kovanovic <[email-masked]> wrote:
> Since installing 25.1 version emacs died a couple of times, each time
> without an apparent reason. I start emacs as a daemon, and connect with the
> emacs client.
>
> At the time of this last incident, I had an ESS session running with several
> R threads running some analysis.
>
> Here is what is being stored in system journal. (I'm using i3 window manager
> on Arch Linux 64bit, fully updated).  This NEVER happened before so it is
> definitely something related to the latest version.

Just for the record, there is a pretty good chance this is the ralloc
bug (cf #24358, #24821).

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24821#8